Subject: RE: CAP Example READ-1

From: Doug Royer <[email-masked]>
Date: Fri, 19 Mar 1999 17:06:12 -0800 (PST)

> From: [email-masked]
> Date: Fri, 19 Mar 1999 15:59:00 -0500
> 
> I think that once again we should ask for input from the IMAP
> guys on search contexts and complexity on the server end..

I have never been convinced that IMAP is an ideal protocol to
model any protocol after.

> yes, you need to name result sets, deal with garbage collection,
> and add new error codes (that result set no longer exists since
> the server restarted between requests).  This is a non-trivial
> addition, and one that might be beyond the scope of rev1..  If
> you have a configurable bound for the result set (or items in the
> set), and allow for (non-)retrieval of specific components, then
> 'virtual scrollbars' might easily be added as an extension capability.

By 'virtual scrollbar' do you mean SQL CURSOR type of thing?

> I'm also concerned about 'naming' objects (queries, contexts, or
> whatever) on the server side, will someone clarify or propose the
> idea for scoping rules on the server side?

Not documented - but the idea we discussed seems to mean keep
them in the same session. For a QUERY it just saves some bandwidth,
especially if we use SQL CURSORS's (a previous post).

> I thought I heard global naming for the queries (you can't define a query
> using the same name that I already used), and I didn't hear a plan for the
> persistence of the names (how long do you keep named queries lying around)..

I think that was a question. I don't think we resolved it.
I would vote for session only.

-Doug

---

From: Rob Earhart <[email-masked]>
Date: Fri, 19 Mar 1999 21:45:29 -0500 (EST)

> model any protocol after.

  I'd like to second this.  IMAP does, however, have a couple of good
features, as well as some great lessons in how *not* to design a protocol.
:-) 

  )Rob

---

From: "Mark Poepping" <[email-masked]>
Date: Sat, 20 Mar 1999 00:52:15 -0500

> model any protocol after.

I didn't say we should 'emulate', only that we should be willing
to hear and perhaps learn from their experience in these matters.

> By 'virtual scrollbar' do you mean SQL CURSOR type of thing?

yup.

> I would vote for session only.

Thanks for the clarification, single session seems manageable.